### Getting started

If testing in a Unix or Unix-like operating system we recommend using a virtual environment.

```
python3 -m venv venv

source venv/bin/activate

python -m pip install -r requirements.txt
```

Add the following file venv/lib/pythonX/site-packages/pgldm.pth with contents
```
/path/to/code/directory
```

This will ensure that your virtual environment can find the relevant source code. To use the virtual environment in a jupyter notebook environment, we recommend using ipykernel. For example:

```
python -m ipykernel install --user --name=pgldm_demo
```

Run the demo notebook locally using jupyter notebook. You make need to change the kernel to point towards the correct environment "pgldm_demo".